# Class Trajectory

- Defined in lib/five/model/tile3d/trajectory.ts:16

##### Index

### Constructors

constructor

### Properties

content
id
name
tileset
transform
visible

## Constructors

### constructor

- new Trajectory(
  id: string,
  header: TrajectoryHeader,
  tileset: Tileset,
  ): Trajectory

  #### Parameters

  - id: string
  - header: TrajectoryHeader
  - tileset: Tileset

  #### Returns Trajectory

  - Defined in lib/five/model/tile3d/trajectory.ts:32

## Properties

### content

content: {
byteLength: number;
data?: TrajectoryContentData;
loadfailRetryDelay: number;
loadProgress: number;
loadState: "LOADING" | "UNLOADED" | "READY" | "FAILED";
loadStateUpdateTime: number;
memoryUsage: number;
uri: string;
}

- Defined in lib/five/model/tile3d/trajectory.ts:22

### id

id: string

- Defined in lib/five/model/tile3d/trajectory.ts:17

### name

name: string

- Defined in lib/five/model/tile3d/trajectory.ts:18

### tileset

tileset: Tileset

- Defined in lib/five/model/tile3d/trajectory.ts:19

### transform

transform: Matrix4

- Defined in lib/five/model/tile3d/trajectory.ts:20

### visible

visible: boolean

- Defined in lib/five/model/tile3d/trajectory.ts:21